      subroutine ccbcheck_wd
c
      implicit none
c
      include   "Seed.h"
      include   "Bounds.p"
      include   "Constants.p"
      include   "System.h"
      include   "Geometry.p"
      include   "Lennard_Jones.p"
      include   "Lennard_Jones.h"
      include   "Current.h"
      include   "Ccbwd.h"
      include   "Phantom.h"
c
      integer i,accjccb,k,l
      real*8  binl,binsel,random,truncph
      real*8  binlmd
c
      binl   = 0.d0
      binlmd = 0.d0
      binsel=random(iseed)
c
20    continue
c
      do i=1,kccbn
c
        binl = binl + probacc(i)
c
        if(binsel.lt.binl) then
          accjccb=i
c
          truncph = (1./vol) * truncscph(idph(idir1))
c
          enerccb = enerccb + enernew(accjccb) +
     :              truncph 
c
          weight = weight * probacc(accjccb)
c
          if (idir1.lt.phat) then
c
            do k=1,3
              xt(idir1,k)=xnewc(accjccb,k)
            enddo
c
          endif
c
          RETURN
        endif
c
      enddo
c
      RETURN
      END
