      subroutine ccbscreen_wd(fail,jccb)
c
c     *ccbscreen* rapidly discards solutions that would result in large
c      overlaps 
c
      implicit none
c
      include   "Seed.h"
      include   "Bounds.p"
      include   "Constants.p"
      include   "System.h"
      include   "Geometry.p"
      include   "Geometry.h"
      include   "Lennard_Jones.p"
      include   "Lennard_Jones.h"
      include   "Current.h"
      include   "Ccbwd.h" 
      include   "Intend.h"
      include   "Phantom.h"
c
      integer    icel, jcel, kcel, ic, jc, kc, jat
      integer    l, j, jccb,i, kcl, jcl, icl 
      real*8     xdiff(3), rij2
      logical    fail
c     _____________________________________________________________
c
      fail = .false.
c
c     check for hard sphere overlaps
c     find the cell coordinates of the new atom
c
      icl = int(xnewc(jccb,1)*runit) + 1
      jcl = int(xnewc(jccb,2)*runit) + 1      
      kcl = int(xnewc(jccb,3)*runit) + 1      
c 
c     check 27 cells
c
      do icel = -1, 1
        do jcel = -1, 1
          do kcel = -1, 1
            ic = mod(icl + icel + maxcel - 1, maxcel) + 1
            jc = mod(jcl + jcel + maxcel - 1, maxcel) + 1
            kc = mod(kcl + kcel + maxcel - 1, maxcel) + 1
c
            do jat = 1, ncell(ic,jc,kc)
              j = cell(ic,jc,kc,jat)
c
              xdiff(1) = xnewc(jccb,1) - x(j,1)
              xdiff(2) = xnewc(jccb,2) - x(j,2)
              xdiff(3) = xnewc(jccb,3) - x(j,3)
c
              xdiff(1) = xdiff(1) - box*dnint(xdiff(1)*rbox)
              xdiff(2) = xdiff(2) - box*dnint(xdiff(2)*rbox)
              xdiff(3) = xdiff(3) - box*dnint(xdiff(3)*rbox)
c
              rij2 = xdiff(1)*xdiff(1) + xdiff(2)*xdiff(2) 
     :             + xdiff(3)*xdiff(3)
c
              if (rij2.lt.sigmasq(pairtype(idph(idir1),idseg(j)))) then
c
c
c               we have a hard sphere overlap; check if its okay!
c
c               no luck; this baby is history
c
                fail = .TRUE.
c
                RETURN
              endif
            end do
          end do
        end do
      end do
c
      RETURN
      END
