      subroutine enbccb_wd(jccb,energy,energymd) 
c
      implicit none
c 
      include "Bounds.p"
      include "Constants.p"
      include "System.h"
      include "Current.h"
      include "Geometry.p"
      include "Seed.h"
      include "Lennard_Jones.p"
      include "Lennard_Jones.h"
      include "Ccbwd.h"
      include "Phantom.h"
      include "Vtorsion.h"
      include "Intend.h"
c
      integer  k, jccb,jat,i,l,ll,m,iph
c
      real*8   xij(3),rij2,rmin2,energy(kccbn)
      real*8   energymd(kccbn)
      real*8   sds,xi,vk,vk1,vk2,t1,t2,einc
      real*8   enphi, cosphip, cosphip2, cosphip3 
c     _________________________________________________________
c
c     calculate intermolecular interactions
c
      energymd(jccb) = 0.d0
      energy(jccb)   = 0.d0
      rmin2          = 0.d0
c
      do jat = 1, nat
c
        xij(1) = xnewc(jccb,1) - x(jat,1)
        xij(2) = xnewc(jccb,2) - x(jat,2)
        xij(3) = xnewc(jccb,3) - x(jat,3)
c
        xij(1) = xij(1) - box*dnint(xij(1)*rbox)
        xij(2) = xij(2) - box*dnint(xij(2)*rbox)
        xij(3) = xij(3) - box*dnint(xij(3)*rbox)
c
        rij2   = xij(1)*xij(1) + xij(2)*xij(2) 
     :         + xij(3)*xij(3)
c
	  m = pairtype(idph(idir1),idseg(jat))
c
        if (rij2.lt.r2nb(m)) then
c
          sds   = (rij2 - rmin2)/ interval(m)
          k     = sds
c	by brapt:
	    if(k.eq.0) k=1
          xi    = sds - 1.d0*k
          vk    = elj(k,m)
          vk1   = elj(k+1,m)
          vk2   = elj(k+2,m)
          t1    = vk  + (vk1 - vk)  * xi
          t2    = vk1 + (vk2 - vk1) * (xi - 1.d0)
          einc  = t1 + (t2 - t1) * xi * 0.5d0
          energy(jccb) = energy(jccb) + einc
c
        endif
c
      end do 
c
      RETURN
      END
