       subroutine phscreen_wd1(fail)
c
       implicit none
c
       include   "Bounds.p"
       include   "Constants.p"
       include   "System.h"
       include   "Geometry.p"
       include   "Lennard_Jones.h"
       include   "Current.h"
       include   "Phantom.h"
       include   "Ccbwd.h"
       include   "Intend.h"
c
       integer    icel, jcel, kcel, ic, jc, kc, jat, j
       integer    iph, icl, jcl, kcl
       real*8     xdiff(3), rij2
c       real*8     runit
       logical    fail
c__________________________________________________________________
c
       fail = .false.
c
c     check for hard sphere overlaps
c     find the cell coordinates of the new atom
c
       runit = 1.d0 / unit
c
         icl = int(xt(1,1)*runit) + 1
         jcl = int(xt(1,2)*runit) + 1
         kcl = int(xt(1,3)*runit) + 1
c
c     check 27 cells
c
	 do icel = -1, 1
	 do jcel = -1, 1
	 do kcel = -1, 1
	   ic = mod(icl + icel + maxcel - 1, maxcel) + 1
	   jc = mod(jcl + jcel + maxcel - 1, maxcel) + 1
	   kc = mod(kcl + kcel + maxcel - 1, maxcel) + 1
c
	   do 10 jat = 1, ncell(ic,jc,kc)
	     j = cell(ic,jc,kc,jat)
c
	     xdiff(1) = xt(1,1) - x(j,1)
	     xdiff(2) = xt(1,2) - x(j,2)
	     xdiff(3) = xt(1,3) - x(j,3)
c
             xdiff(1) = xdiff(1) - box*dnint(xdiff(1)*rbox)
	     xdiff(2) = xdiff(2) - box*dnint(xdiff(2)*rbox)
	     xdiff(3) = xdiff(3) - box*dnint(xdiff(3)*rbox)
c
	     rij2 = xdiff(1)*xdiff(1) + xdiff(2)*xdiff(2)
     :              + xdiff(3)*xdiff(3)
c
             if (rij2.lt.sigmasq(pairtype(idph(idir1),idseg(j)))) then
c
c              we have a hard sphere overlap; check if its okay!
c
		fail = .true.
		return
              endif
10         continue 
          end do
          end do
	  end do
c
	  return
	  end
